<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'vidgyor',

    /*
     * Package.
     */
    'package'   => 'channel',

    /*
     * Modules.
     */
    'modules'   => ['channel'],

    
    'channel'       => [
        'model' => [
            'model'                 => \Vidgyor\Channel\Models\Channel::class,
            'table'                 => 'channels',
            'presenter'             => \Vidgyor\Channel\Repositories\Presenter\ChannelPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'video_id',  'name',  'description',  'stream_type',  'transcoding_profile',  'input_type',  'output_type',  'input_name',  'live_dvr',  'recording',  'ad_markers',  'meta_data',  'meta_description',  'meta_tags',  'thumbnail',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'channel/channel',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Vidgyor',
            'package'   => 'Channel',
            'module'    => 'Channel',
        ],

    ],
];
