<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateChannelsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: channels
         */
        Schema::create('channels', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->integer('video_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('description', 255)->nullable();
            $table->enum('stream_type', ['RTMP Push','RTMP Pull','HLS Pull'])->nullable();
            $table->text('transcoding_profile')->nullable();
            $table->enum('input_type', ['Playout','Livefeed'])->nullable();
            $table->enum('output_type', ['RTMP','HLS'])->nullable();
            $table->text('input_name')->nullable();
            $table->enum('live_dvr', ['On','Off'])->nullable();
            $table->enum('recording', ['On','Off'])->nullable();
            $table->enum('ad_markers', ['On','Off'])->nullable();
            $table->string('meta_data', 255)->nullable();
            $table->string('meta_description', 255)->nullable();
            $table->text('meta_tags')->nullable();
            $table->text('thumbnail')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('channels');
    }
}
