<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for channel in channel package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  channel module in channel package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Channel',
    'names'         => 'Channels',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Channels',
        'sub'   => 'Channels',
        'list'  => 'List of channels',
        'edit'  => 'Edit channel',
        'create'    => 'Create new channel'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'stream_type'         => ['RTMP Push','RTMP Pull','HLS Pull'],
            'input_type'          => ['Playout','Livefeed'],
            'output_type'         => ['RTMP','HLS'],
            'live_dvr'            => ['On','Off'],
            'recording'           => ['On','Off'],
            'ad_markers'          => ['On','Off'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'video_id'                   => 'Please enter video id',
        'name'                       => 'Please enter name',
        'description'                => 'Please enter description',
        'stream_type'                => 'Please select stream type',
        'transcoding_profile'        => 'Please enter transcoding profile',
        'input_type'                 => 'Please select input type',
        'output_type'                => 'Please select output type',
        'input_name'                 => 'Please enter input name',
        'live_dvr'                   => 'Please select live dvr',
        'recording'                  => 'Please select recording',
        'ad_markers'                 => 'Please select ad markers',
        'meta_data'                  => 'Please enter meta data',
        'meta_description'           => 'Please enter meta description',
        'meta_tags'                  => 'Please enter meta tags',
        'thumbnail'                  => 'Please enter thumbnail',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'video_id'                   => 'Video id',
        'name'                       => 'Name',
        'description'                => 'Description',
        'stream_type'                => 'Stream type',
        'transcoding_profile'        => 'Transcoding profile',
        'input_type'                 => 'Input type',
        'output_type'                => 'Output type',
        'input_name'                 => 'Input name',
        'live_dvr'                   => 'Live dvr',
        'recording'                  => 'Recording',
        'ad_markers'                 => 'Ad markers',
        'meta_data'                  => 'Meta data',
        'meta_description'           => 'Meta description',
        'meta_tags'                  => 'Meta tags',
        'thumbnail'                  => 'Thumbnail',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'video_id'                   => ['name' => 'Video id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Channels',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
