<?php

namespace Vidgyor\Channel\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ChannelTransformer extends TransformerAbstract
{
    public function transform(\Vidgyor\Channel\Models\Channel $channel)
    {
        return [
            'id'                => $channel->getRouteKey(),
            'key'               => [
                'public'    => $channel->getPublicKey(),
                'route'     => $channel->getRouteKey(),
            ], 
            'id'                => $channel->id,
            'user_id'           => $channel->user_id,
            'video_id'          => $channel->video_id,
            'name'              => $channel->name,
            'description'       => $channel->description,
            'stream_type'       => $channel->stream_type,
            'transcoding_profile' => $channel->transcoding_profile,
            'input_type'        => $channel->input_type,
            'output_type'       => $channel->output_type,
            'input_name'        => $channel->input_name,
            'live_dvr'          => $channel->live_dvr,
            'recording'         => $channel->recording,
            'ad_markers'        => $channel->ad_markers,
            'meta_data'         => $channel->meta_data,
            'meta_description'  => $channel->meta_description,
            'meta_tags'         => $channel->meta_tags,
            'thumbnail'         => $channel->thumbnail,
            'created_at'        => $channel->created_at,
            'updated_at'        => $channel->updated_at,
            'deleted_at'        => $channel->deleted_at,
            'url'               => [
                'public'    => trans_url('channel/'.$channel->getPublicKey()),
                'user'      => guard_url('channel/channel/'.$channel->getRouteKey()),
            ], 
            'status'            => trans('app.'.$channel->status),
            'created_at'        => format_date($channel->created_at),
            'updated_at'        => format_date($channel->updated_at),
        ];
    }
}